//COFFEE TABLE W/GLASS INSERT

//TEXTURES

 // >>> NBglass (from file "povlab.inc", line 6599) <<<
#declare NBglass = texture {
  pigment {
    color rgbf <0.98, 1.0, 0.99, 0.75> 
  }
  finish {
    ambient 0.1
    diffuse 0.1
    reflection .25
    refraction 1
    ior 1.5
    specular 1
    roughness .001
  }
}





 // >>> Liquid (from file "bog.inc", line 83) <<<
#declare Liquid = texture {
  pigment {
    color rgb<.7,.75,.8> filter 0.99
  }
  normal {
    ripples 0.75
    frequency 15
    turbulence .1
  }
  finish {
    reflection 0.3
    refraction 1
    ior 1.33
  }
}
 // >>> T_Glass2 (from file "glass.inc", line 74) <<<

// Constants from file "glass.inc"
#declare F_Glass2 = finish {
  ambient 0
  diffuse 0
  reflection 0.5
  refraction 1
  ior 1.5
  phong 0.3
  phong_size 60
}

#declare T_Glass2 = texture {
  pigment {
    color rgbf<1.0, 1.0, 1.0, 1.0> 
  }
  finish {
    F_Glass2 
  }
}
    
//FOR THE ETCHING REPLACE THE PNG WITH ANY BLACK AND WHITE IMAGE YOU WOULD LIKE OR REMOVE THE ETCHING ALTOGETHER FOR A SIMPLE GLASS TOP
#declare etch=texture{material_map{png "roseglass.png" once  texture{T_Glass2 }texture{NBglass }}}
#declare glass_top=texture{radial texture_map {[0.0 NBglass][0.5 etch] }frequency 1}  

// >>> T_Wood17 (from file "woods.inc", line 533) <<<

// Constants from file "woodmaps.inc"
#declare M_Wood17A = colour_map {
  [0.00 0.25 color rgb < 0.70, 0.40, 0.15> * 0.9
  color rgb < 0.75, 0.42, 0.30> * 0.7 ]
  [0.25 0.40 color rgb < 0.75, 0.42, 0.25> * 0.7
  color rgb < 0.74, 0.43, 0.30> * 0.5 ]
  [0.40 0.50 color rgb < 0.74, 0.43, 0.20> * 0.5
  color rgb < 0.70, 0.42, 0.15> * 0.3 ]
  [0.50 0.70 color rgb < 0.70, 0.42, 0.15> * 0.3 
  color rgb < 0.64, 0.46, 0.10> * 0.4 ]
  [0.70 0.98 color rgb < 0.64, 0.46, 0.10> * 0.4
  color rgb < 0.65, 0.42, 0.20> * 0.6 ]
  [0.98 1.00 color rgb < 0.65, 0.42, 0.20> * 0.6
  color rgb < 0.60, 0.40, 0.15> * 0.9 ]
}

// Constants from file "woods.inc"
#declare P_WoodGrain17A = pigment {
  wood
  colour_map {
    M_Wood17A 
  }
  turbulence 0.04
  omega 0.4
  scale <0.1 0.1 1>
  rotate -x*4
}

// Constants from file "woodmaps.inc"
#declare M_Wood17B = colour_map {
  [0.00 0.25 color rgbf < 0.40, 0.20, 0.08, 0.10>
  color rgbf < 0.44, 0.23, 0.09, 0.20>]
  [0.25 0.40 color rgbf < 0.44, 0.23, 0.09, 0.20>
  color rgbf < 0.45, 0.25, 0.09, 0.30>]
  [0.40 0.50 color rgbf < 0.45, 0.25, 0.09, 0.30>
  color rgbf < 0.40, 0.20, 0.08, 0.60>]
  [0.50 0.70 color rgbf < 0.40, 0.20, 0.08, 0.60> 
  color rgbf < 0.46, 0.23, 0.10, 0.30>]
  [0.70 0.98 color rgbf < 0.46, 0.23, 0.10, 0.30> 
  color rgbf < 0.44, 0.23, 0.09, 0.20>]
  [0.98 1.00 color rgbf < 0.44, 0.23, 0.09, 0.20> 
  color rgbf < 0.40, 0.20, 0.08, 0.10>]
}

// Constants from file "woods.inc"
#declare P_WoodGrain17B = pigment {
  wood
  colour_map {
    M_Wood17B 
  }
  turbulence 0.05
  omega 0.65
  scale <0.2 0.2 1>
  rotate -x*2
}

#declare T_Wood17 = texture {
  pigment {
    P_WoodGrain17A color_map {
      M_Wood17A 
    }
  } finish {
    ambient 0.3
    diffuse 0.7
    phong 0.7
    phong_size 60
  }  scale .05 rotate<90,0,0>
}
texture {
  pigment {
    P_WoodGrain17B color_map {
      M_Wood17B 
    }
  } finish {
    ambient 0.3
    diffuse 0.7
    phong 0.7
    phong_size 60
  }  scale .05 rotate<90,0,0>}


//////////////////////////////////////////////
//TABLE CODE    

//MAKE THE GLASS PANE
#declare table_pane=union{
box{<0,0,0><1,1,0.001>  texture{glass_top}}  
box{<0,0,0><1,1,0.05>  texture{NBglass}}  }    

//MAKE THE WOODEN TOP AND ADD THE GLASS
#declare table_top=union{
difference{
box{<0,0,0><2,1,0.1> texture{T_Wood17 rotate<0,0,90>}} 
box{<0,0,0><1.8,0.8,0.15> texture{T_Wood17 rotate<0,0,90>}translate<0.1,0.1,-0.099>}
box{<0,0,0><1.75,0.75,0.2> texture{T_Wood17 rotate<0,0,90>}translate<0.125,0.125,-0.099>} } 
object{table_pane scale <1.8,0.8,1>translate < 0.1,0.1,0.001>}
}


//MAKE SOME LEGS
#declare tableleg1=difference{  
box{<0,0,0><0.2,0.85,0.2> texture{T_Wood17}}  
box{<0,0,0><0.25,0.9,0.25> texture{T_Wood17}rotate<0,0,7>translate<0.2,0,-0.025>}   
} 

//THROW THEM ALL TOGETHER AND DECLARE IT
#declare table=union{
object{table_top rotate<90,0,0>} 
object{tableleg1 scale<.75,1,0.75> rotate<0,0,180> translate<2.0,-0.1,0.85>}  
object{tableleg1 scale<.75,1,0.75>rotate<0,0,180> translate<2.0,-0.1,0>}  
object{tableleg1 scale<.75,1,0.75>rotate<0,180,180> translate<0,-0.1,1>}
object{tableleg1 scale<.75,1,0.75>rotate<0,180,180> translate<0,-0.1,0.15>}
box{ <0,0,0><1.9,0.025,0.9> texture{T_Wood17 rotate<0,0,90>}translate<0.05,-0.75,0.05>} //BOTTOM SHELF
} 


//object{table}

//THIS TABLE IS VERY SCALABLE, YOU CAN MAKE A COFFEE TABLE, SHORT END TABLES, LONG SKINNY PLANT TABLES...ANYTHING
//JUST PLAY WITH IT